Clients
Create a new Client
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Header Parameters
accept-language?string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v2/clients" \ -H "accept-language: ja" \ -H "Content-Type: application/json" \ -d '{ "info": { "givenName": "Mary", "familyName": "Smith" }, "addresses": [ { "country_code": "826,", "state": "-", "city": "London", "postal_code": "NW18QZ" } ], "phones": [ { "phone": "+44 20 7946 0958" } ], "email": "example@gmail.com", "type": 1 }'{ "analytics": [ { "property": "umt", "value": "1111" } ], "clientId": 0, "accounts": [ { "accountId": 1, "accountNumber": "123123", "displayNumber": "123123", "createTime": "2022-01-01T00:00:00+00:00" } ], "birthday": "2022-01-01T00:00:00+00:00", "city": "string", "country": { "countryId": 8, "alpha2Code": "US", "alpha3Code": "USA", "countryName": "United States", "numericCode": "840" }, "company": { "fullName": "full name company", "shortName": "short name company" }, "email": "foo@bar.com", "internalType": "default", "firstName": "Mary", "lastName": "Smith", "middleName": "Jane", "name": "Mary Jane Smith", "nickname": "Voronov", "locale": "ja_JP", "manager": { "id": 0, "enabled": true, "email": "foo@bar.com", "name": "John Smith", "title": "mr.", "phone": "+995577755422", "resources": [ { "key": "caption", "locale": "ru_RU", "value": "Lorem" } ], "createTime": "2022-01-01T00:00:00+00:00" }, "phone": "+7 999 200 00 00", "riskLevel": "low", "status": "active", "tags": [ "string" ], "type": { "id": 0, "name": "Individual" }, "verificationLevel": { "id": 0, "name": "Level 1" }, "jurisdictionId": 1, "loggedAt": "2022-01-01T00:00:00+00:00", "createTime": "2022-01-01T00:00:00+00:00", "updateTime": "2022-01-01T00:00:00+00:00", "limits": { "maxDemoTradingAccounts": 1, "maxLiveTradingAccounts": 1 }, "rights": [ { "name": "deposit", "isEnabled": true } ]}{ "error": { "message": "Bad Request", "code": 0, "details": [ { "issue": "The selected value is invalid.", "field": "parameter" } ] }}{ "error": { "message": "Unauthorized" }}{ "error": { "message": "Forbidden" }}{ "error": { "message": "Too Many Requests" }}{ "error": { "message": "Service Unavailable" }}